### Method

# Ide Frame get_has_page

#### Declaration

    gboolean
    ide_frame_get_has_page (
      IdeFrame* self
    )

#### Description

Gets the “has-page” property.

This property is a convenience to allow widgets to easily bind properties based on whether or not a page is visible in the stack.

Available since: | 3.32

Gets property | `Ide.Frame:has-page`

#### Return value

Returns: | `gboolean`
| `TRUE` if the stack has a page.